<template>

	<div>
		<div class="col-md-12">
			<h1>{{ value.title }}</h1>
		</div> 
		<div class="col-md-12 " >
			<div class="box box-block scroll-area">
				<h5>{{ value.subtitle}}</h5>
				<div class="scroll-demo custom-scroll-1 custom-scroll-dark" style="height: 200px;">
					<p v-html="value.body.replace(/(?:\r\n|\r|\n)/g, '<br>')"></p>
				</div>
			</div>
		</div>
	</div>

</template>

<script>	
	import { config } 		from './config'
	import { mapActions } 	from 'vuex'
	import ResultTypes from '../../../../utils/ResultTypes'

	export default{
		name 	: config.component,
		props 	: config.props,
		methods : {
	  		...mapActions([
		      'evaluate',
			]),
		},
		mounted(){

			$('.custom-scroll-1').jScrollPane({
				autoReinitialise: true,
				autoReinitialiseDelay: 100

			});
			$('.custom-scroll-1').jScrollPane({autoReinitialise: true});
			$('.custom-scroll-1 .jspContainer').height($(".custom-scroll-1").height());

			let isPreview = window.location.href.split('/')[3] == 'course-preview'
				if(isPreview){
					setTimeout( ()=> this.evaluate(ResultTypes.PASSED), 4 * 1000)
				}
				else{
					setTimeout( ()=> this.evaluate(ResultTypes.PASSED), this.value.readingTime * 1000)
					}
		},
		updated(){
			let isPreview = window.location.href.split('/')[3] == 'course-preview'
				if(isPreview)
					setTimeout( ()=> this.evaluate(ResultTypes.PASSED), 4 * 1000)
				else
					setTimeout( ()=> this.evaluate(ResultTypes.PASSED), this.value.readingTime * 1000)
		}
	}
</script>